ViewVC Help
View File | Revision Log | Show Annotations | View Changeset | Root Listing
root/OpenMD/branches/development/configure
(Generate patch)

Comparing trunk/configure (file contents):
Revision 956 by gezelter, Tue May 16 02:06:37 2006 UTC vs.
Revision 961 by gezelter, Wed May 17 16:10:16 2006 UTC

# Line 312 | Line 312 | ac_includes_default="\
312   # include <unistd.h>
313   #endif"
314  
315 < ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os PROGNAME debug CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT CC CFLAGS ac_ct_CC FC FCFLAGS ac_ct_FC CPP EGREP LN_S SET_MAKE RANLIB ac_ct_RANLIB PERLINTERP PERL_SHEBANG INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AR PS FCFLAGS_F90 FCFLAGS_SRCEXT PREPDEFFLAG FCLIBS FC_FUNC FC_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES LIBOBJS POW_LIB CXXCPP __func__ MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI USE_CGAL CGAL_INC_DIR CGAL_LIB_DIR CGAL_RLIB_DIR CGAL_DEFINES CGAL_CXXFLAGS CGAL_LIBS DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS LTLIBOBJS'
315 > ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os PROGNAME debug CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT CC CFLAGS ac_ct_CC FC FCFLAGS ac_ct_FC CPP EGREP LN_S SET_MAKE RANLIB ac_ct_RANLIB PERLINTERP PERL_SHEBANG INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AR PS FCFLAGS_F90 FCFLAGS_SRCEXT PREPDEFFLAG FCLIBS FC_FUNC FC_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES ZLIB_INC_DIR ZLIB_LIB_DIR ZLIB FFTW_INC_DIR FFTW_LIB_DIR FFTW_LIBS LIBOBJS POW_LIB CXXCPP __func__ MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI USE_CGAL CGAL_INC_DIR CGAL_LIB_DIR CGAL_RLIB_DIR CGAL_DEFINES CGAL_CXXFLAGS CGAL_LIBS DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS LTLIBOBJS'
316   ac_subst_files=''
317  
318   # Initialize some variables set by options.
# Line 871 | Line 871 | Optional Features:
871    --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
872    --enable-oopse-home=DIR      define oopse home dir PREFIX/oopse
873    --enable-debug          Compile OOPSE in debug mode
874 +  --enable-single         compile OOPSE in single precision
875 +  --enable-float          synonym for --enable-single
876    --enable-doxygen        enable documentation generation with doxygen (auto)
877    --enable-dot            use 'dot' to generate graphs in doxygen (auto)
878    --enable-html-docs      enable HTML generation with doxygen (yes)
# Line 881 | Line 883 | Optional Packages:
883    --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
884    --with-perl-shebang     override what perl thinks is the way for the kernel
885                            to start it (seldom needed)
886 <  --with-zlib=DIR root directory path of zlib installation defaults to
887 <                    /usr/local or /usr if not found in /usr/local
888 <  --without-zlib to disable zlib usage completely
889 <  --without-fftw          if you turn this off you cannot compute undulation spectra
886 >  --with-zlib=DIR         root directory path of zlib installation (defaults
887 >                          to /usr/local or /usr if not found in /usr/local)
888 >  --with-fftw=DIR         root directory path of fftw installation (defaults
889 >                          to /usr/local or /usr if not found in /usr/local)
890    --with-mpi=<prefix>     compile with MPI installed in <prefix> [default=no]
891    --with-cgal-makefile=FILE  CGAL makefile that should be used
892  
# Line 1414 | Line 1416 | ac_configure="$SHELL $ac_aux_dir/configure" # This sho
1416  
1417  
1418  
1417 # ACX_CHECK_FFTW()
1418 # ----------------
1419 # This macro checks for fftw header files and libraries,
1420 # including the possible prefixing with s or d to determine precision.
1421 # Arg 1 is the fftw header/library name to check for, without
1422 # prefix or anything else (e.g. rfftw_mpi for real MPI transforms)
1423 # Arg 2 is the size of the real variable used.
1419  
1420  
1421  
# Line 1429 | Line 1424 | ac_configure="$SHELL $ac_aux_dir/configure" # This sho
1424  
1425  
1426  
1427 + #
1428 + #
1429 + #
1430  
1431  
1432  
1433  
1436 #
1437 #
1438 #
1434  
1435  
1436   # AC_F90_MODULE_NAMES
# Line 1444 | Line 1439 | ac_configure="$SHELL $ac_aux_dir/configure" # This sho
1439   # Figure out how the Fortran 90 compiler constructs module file names
1440   #
1441   # AC_F90_MODULE_NAMES
1442 +
1443 +
1444 +
1445 +
1446 +
1447 +
1448 +
1449 +
1450 +
1451 +
1452 +
1453 +
1454 +
1455 +
1456 +
1457 +
1458 +
1459 +
1460 +
1461 +
1462 +
1463 +
1464 +
1465 +
1466 +
1467 +
1468  
1469  
1470  
# Line 1480 | Line 1501 | ac_configure="$SHELL $ac_aux_dir/configure" # This sho
1501  
1502  
1503  
1504 +
1505 +
1506 +
1507 +
1508 +
1509 +
1510 +
1511 +
1512 +
1513 +
1514 +
1515 +
1516 +
1517 +
1518 +
1519 +
1520 +
1521 +
1522 +
1523 +
1524 +
1525 +
1526 +
1527 +
1528 +
1529 +
1530   # who am i
1531   # Make sure we can run config.sub.
1532   $ac_config_sub sun4 >/dev/null 2>&1 ||
# Line 1578 | Line 1625 | fi
1625    msg="$msg, debug mode"
1626   fi
1627  
1628 +
1629 + # Check whether --enable-single or --disable-single was given.
1630 + if test "${enable_single+set}" = set; then
1631 +  enableval="$enable_single"
1632 +  ok=$enableval
1633 + else
1634 +  ok=no
1635 + fi;
1636 + # Check whether --enable-float or --disable-float was given.
1637 + if test "${enable_float+set}" = set; then
1638 +  enableval="$enable_float"
1639 +  ok=$enableval
1640 + fi;
1641 + if test "$ok" = "yes"; then
1642 +
1643 + cat >>confdefs.h <<\_ACEOF
1644 + #define SINGLE_PRECISION 1
1645 + _ACEOF
1646 +
1647 +        PRECISION=s
1648 + else
1649 +        PRECISION=d
1650 + fi
1651  
1652   # Checks for programs.
1653   ac_ext=cc
# Line 2740 | Line 2810 | fi
2810  
2811  
2812   # Provide some information about the compiler.
2813 < echo "$as_me:2743:" \
2813 > echo "$as_me:2813:" \
2814       "checking for Fortran compiler version" >&5
2815   ac_compiler=`set X $ac_compile; echo $2`
2816   { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
# Line 3492 | Line 3562 | if test "$AR" = "NONE"; then
3562   fi
3563  
3564   if test "$AR" = "NONE"; then
3495  { { echo "$as_me:$LINENO: error: --> Can't find \`ar'!" >&5
3496 echo "$as_me: error: --> Can't find \`ar'!" >&2;}
3497   { (exit 1); exit 1; }; }
3565    cat >confcache <<\_ACEOF
3566   # This file is a shell script that caches the results of configure
3567   # tests run on this system so they can be shared between configure
# Line 3991 | Line 4058 | FCFLAGS="$FCFLAGS $ac_verb"
4058   # flags.
4059   ac_save_FFLAGS=$FCFLAGS
4060   FCFLAGS="$FCFLAGS $ac_verb"
4061 < (eval echo $as_me:3994: \"$ac_link\") >&5
4061 > (eval echo $as_me:4061: \"$ac_link\") >&5
4062   ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4063   echo "$ac_fc_v_output" >&5
4064   FCFLAGS=$ac_save_FFLAGS
# Line 4069 | Line 4136 | FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
4136   # flags.
4137   ac_save_FFLAGS=$FCFLAGS
4138   FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
4139 < (eval echo $as_me:4072: \"$ac_link\") >&5
4139 > (eval echo $as_me:4139: \"$ac_link\") >&5
4140   ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4141   echo "$ac_fc_v_output" >&5
4142   FCFLAGS=$ac_save_FFLAGS
# Line 4805 | Line 4872 | FCFLAGS="$FCFLAGS $ac_verb"
4872   # flags.
4873   ac_save_FFLAGS=$FCFLAGS
4874   FCFLAGS="$FCFLAGS $ac_verb"
4875 < (eval echo $as_me:4808: \"$ac_link\") >&5
4875 > (eval echo $as_me:4875: \"$ac_link\") >&5
4876   ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4877   echo "$ac_fc_v_output" >&5
4878   FCFLAGS=$ac_save_FFLAGS
# Line 4883 | Line 4950 | FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
4950   # flags.
4951   ac_save_FFLAGS=$FCFLAGS
4952   FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
4953 < (eval echo $as_me:4886: \"$ac_link\") >&5
4953 > (eval echo $as_me:4953: \"$ac_link\") >&5
4954   ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4955   echo "$ac_fc_v_output" >&5
4956   FCFLAGS=$ac_save_FFLAGS
# Line 5760 | Line 5827 | done
5827   #
5828   # Handle user hints
5829   #
5763 echo "$as_me:$LINENO: checking if zlib is wanted" >&5
5764 echo $ECHO_N "checking if zlib is wanted... $ECHO_C" >&6
5830  
5831   # Check whether --with-zlib or --without-zlib was given.
5832   if test "${with_zlib+set}" = set; then
5833    withval="$with_zlib"
5834 <  if test "$withval" != no ; then
5835 <  echo "$as_me:$LINENO: result: yes" >&5
5836 < echo "${ECHO_T}yes" >&6
5837 <  if test -d "$withval"
5838 <  then
5839 <    ZLIB_HOME="$withval"
5834 >  zlib_dir="$withval"
5835 > else
5836 >                zlib_dir="not_set"
5837 > fi;
5838 > if test "$zlib_dir" != "no"; then
5839 >
5840 > if test "$zlib_dir" != "not_set" ; then
5841 >  if test -d "$zlib_dir"
5842 >  then
5843 >    ZLIB_HOME="$zlib_dir"
5844    else
5845 <    { echo "$as_me:$LINENO: WARNING: Sorry, $withval does not exist, checking usual places" >&5
5846 < echo "$as_me: WARNING: Sorry, $withval does not exist, checking usual places" >&2;}
5845 >    { echo "$as_me:$LINENO: WARNING: Sorry, $zlib_dir does not exist, checking usual places" >&5
5846 > echo "$as_me: WARNING: Sorry, $zlib_dir does not exist, checking usual places" >&2;}
5847    fi
5779 else
5780  echo "$as_me:$LINENO: result: no" >&5
5781 echo "${ECHO_T}no" >&6
5848   fi
5783 fi;
5849  
5850   ZLIB_HOME=/usr/local
5851   if test ! -f "${ZLIB_HOME}/include/zlib.h"
# Line 6033 | Line 6098 | ac_compiler_gnu=$ac_cv_c_compiler_gnu
6098   ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6099   ac_compiler_gnu=$ac_cv_c_compiler_gnu
6100  
6036        if test "$zlib_cv_libz" = "yes" -a "$zlib_cv_zlib_h" = "yes"
6037        then
6038                #
6039                # If both library and header were found, use them
6040                #
6101  
6102 < echo "$as_me:$LINENO: checking for inflateEnd in -lz" >&5
6043 < echo $ECHO_N "checking for inflateEnd in -lz... $ECHO_C" >&6
6044 < if test "${ac_cv_lib_z_inflateEnd+set}" = set; then
6045 <  echo $ECHO_N "(cached) $ECHO_C" >&6
6046 < else
6047 <  ac_check_lib_save_LIBS=$LIBS
6048 < LIBS="-lz  $LIBS"
6049 < cat >conftest.$ac_ext <<_ACEOF
6050 < /* confdefs.h.  */
6051 < _ACEOF
6052 < cat confdefs.h >>conftest.$ac_ext
6053 < cat >>conftest.$ac_ext <<_ACEOF
6054 < /* end confdefs.h.  */
6102 >        if test "$zlib_cv_libz" = "yes" -a "$zlib_cv_zlib_h" = "yes"; then
6103  
6104 < /* Override any gcc2 internal prototype to avoid an error.  */
6105 < #ifdef __cplusplus
6058 < extern "C"
6059 < #endif
6060 < /* We use char because int might match the return type of a gcc2
6061 <   builtin and then its argument prototype would still apply.  */
6062 < char inflateEnd ();
6063 < #ifdef FC_DUMMY_MAIN
6064 < #ifndef FC_DUMMY_MAIN_EQ_F77
6065 < #  ifdef __cplusplus
6066 <     extern "C"
6067 < #  endif
6068 <   int FC_DUMMY_MAIN() { return 1; }
6069 < #endif
6070 < #endif
6071 < int
6072 < main ()
6073 < {
6074 < inflateEnd ();
6075 <  ;
6076 <  return 0;
6077 < }
6104 > cat >>confdefs.h <<\_ACEOF
6105 > #define HAVE_ZLIB_H 1
6106   _ACEOF
6107 < rm -f conftest.$ac_objext conftest$ac_exeext
6080 < if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
6081 <  (eval $ac_link) 2>conftest.er1
6082 <  ac_status=$?
6083 <  grep -v '^ *+' conftest.er1 >conftest.err
6084 <  rm -f conftest.er1
6085 <  cat conftest.err >&5
6086 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6087 <  (exit $ac_status); } &&
6088 <         { ac_try='test -z "$ac_c_werror_flag"
6089 <                         || test ! -s conftest.err'
6090 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6091 <  (eval $ac_try) 2>&5
6092 <  ac_status=$?
6093 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6094 <  (exit $ac_status); }; } &&
6095 <         { ac_try='test -s conftest$ac_exeext'
6096 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6097 <  (eval $ac_try) 2>&5
6098 <  ac_status=$?
6099 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6100 <  (exit $ac_status); }; }; then
6101 <  ac_cv_lib_z_inflateEnd=yes
6102 < else
6103 <  echo "$as_me: failed program was:" >&5
6104 < sed 's/^/| /' conftest.$ac_ext >&5
6107 >
6108  
6109 < ac_cv_lib_z_inflateEnd=no
6107 < fi
6108 < rm -f conftest.err conftest.$ac_objext \
6109 <      conftest$ac_exeext conftest.$ac_ext
6110 < LIBS=$ac_check_lib_save_LIBS
6111 < fi
6112 < echo "$as_me:$LINENO: result: $ac_cv_lib_z_inflateEnd" >&5
6113 < echo "${ECHO_T}$ac_cv_lib_z_inflateEnd" >&6
6114 < if test $ac_cv_lib_z_inflateEnd = yes; then
6115 <  cat >>confdefs.h <<_ACEOF
6109 > cat >>confdefs.h <<\_ACEOF
6110   #define HAVE_LIBZ 1
6111   _ACEOF
6112  
6113 <  LIBS="-lz $LIBS"
6114 <
6115 < fi
6122 <
6123 <                echo "$as_me:$LINENO: checking zlib in ${ZLIB_HOME}" >&5
6124 < echo $ECHO_N "checking zlib in ${ZLIB_HOME}... $ECHO_C" >&6
6125 <                echo "$as_me:$LINENO: result: ok" >&5
6126 < echo "${ECHO_T}ok" >&6
6113 >                ZLIB_INC_DIR="${ZLIB_HOME}/include"
6114 >                ZLIB_LIB_DIR="${ZLIB_HOME}/lib"
6115 >                ZLIB="-lz"
6116          else
6128                #
6129                # If either header or library was not found, revert and bomb
6130                #
6117                  echo "$as_me:$LINENO: checking zlib in ${ZLIB_HOME}" >&5
6118   echo $ECHO_N "checking zlib in ${ZLIB_HOME}... $ECHO_C" >&6
6119 +                ZLIB_INC_DIR=
6120 +                ZLIB_LIB_DIR=
6121 +                ZLIB=
6122                  LDFLAGS="$ZLIB_OLD_LDFLAGS"
6123                  CPPFLAGS="$ZLIB_OLD_CPPFLAGS"
6124                  echo "$as_me:$LINENO: result: failed" >&5
6125   echo "${ECHO_T}failed" >&6
6126 <                { { echo "$as_me:$LINENO: error: either specify a valid zlib installation with --with-zlib=DIR or disable zlib usage with --without-zlib" >&5
6127 < echo "$as_me: error: either specify a valid zlib installation with --with-zlib=DIR or disable zlib usage with --without-zlib" >&2;}
6128 <   { (exit 1); exit 1; }; }
6126 >                echo ""
6127 >                echo "*********************************************************"
6128 >                echo "* WARNING: Could not find a working zlib installation   *"
6129 >                echo "* If you need OOPSE to be able to deal with compressed  *"
6130 >                echo "* trajectory dump files be sure to specify a valid zlib *"
6131 >                echo "* installation with --with-zlib=DIR                     *"
6132 >                echo "*                                                       *"
6133 >                echo "* OOPSE will still work without zlib installed.         *"
6134 >                echo "*********************************************************"
6135 >                echo ""
6136          fi
6141 fi
6137  
6138  
6139  
6140 + fi
6141 + fi
6142 +
6143 + #
6144 + # Handle user hints
6145 + #
6146 +
6147   # Check whether --with-fftw or --without-fftw was given.
6148   if test "${with_fftw+set}" = set; then
6149    withval="$with_fftw"
6150 <
6150 >  fftw_dir="$withval"
6151   else
6152 <  with_fftw=yes
6152 >                fftw_dir="not_set"
6153   fi;
6154 < if test "$with_fftw" = "no"; then
6154 > if test "$fftw_dir" != "no"; then
6155  
6156 < cat >>confdefs.h <<\_ACEOF
6157 < #define WITHOUT_FFTW
6158 < _ACEOF
6159 <
6156 > if test "$fftw_dir" != "not_set" ; then
6157 >  if test -d "$fftw_dir"
6158 >  then
6159 >    FFTW_HOME="$fftw_dir"
6160 >  else
6161 >    { echo "$as_me:$LINENO: WARNING: Sorry, $fftw_dir does not exist, checking usual places" >&5
6162 > echo "$as_me: WARNING: Sorry, $fftw_dir does not exist, checking usual places" >&2;}
6163 >  fi
6164   fi
6159 if test "$with_fftw" = "yes"; then
6160  sizeof_real=8
6165  
6166 <
6167 < if test -z "$ac_fftw_firstname"; then
6168 <
6169 < sizeof_real=$sizeof_real
6166 < if test $sizeof_real = 8; then
6167 <  prec="double"
6168 <  fftwcheckprefix=d
6169 < else
6170 <  prec="single"
6171 <  fftwcheckprefix=s
6166 > FFTW_HOME=/usr/local
6167 > if test ! -f "${FFTW_HOME}/include/fftw3.h" -o -f "${FFTW_HOME}/include/fftw.h" -o  -f "${FFTW_HOME}/include/dfftw.h"
6168 > then
6169 >        FFTW_HOME=/usr
6170   fi
6171  
6172 < xfftwname=${fftwcheckprefix}fftw3
6172 > #
6173 > # Locate fftw, if wanted
6174 > #
6175 > if test -n "${FFTW_HOME}"
6176 > then
6177 >        FFTW_OLD_LDFLAGS=$LDFLAGS
6178 >        FFTW_OLD_CPPFLAGS=$LDFLAGS
6179 >        LDFLAGS="$LDFLAGS -L${FFTW_HOME}/lib"
6180 >        CPPFLAGS="$CPPFLAGS -I${FFTW_HOME}/include"
6181  
6176 ok="no"
6177 # check header doesn't work, since we must use mpicc to get includes,
6178 # we cant trust cpp.
6179 echo "$as_me:$LINENO: checking for $xfftwname.h" >&5
6180 echo $ECHO_N "checking for $xfftwname.h... $ECHO_C" >&6
6181 cat >conftest.$ac_ext <<_ACEOF
6182 /* confdefs.h.  */
6183 _ACEOF
6184 cat confdefs.h >>conftest.$ac_ext
6185 cat >>conftest.$ac_ext <<_ACEOF
6186 /* end confdefs.h.  */
6187 #include <$xfftwname.h>
6188 #ifdef FC_DUMMY_MAIN
6189 #ifndef FC_DUMMY_MAIN_EQ_F77
6190 #  ifdef __cplusplus
6191     extern "C"
6192 #  endif
6193   int FC_DUMMY_MAIN() { return 1; }
6194 #endif
6195 #endif
6196 int
6197 main ()
6198 {
6182  
6183 <  ;
6184 <  return 0;
6185 < }
6186 < _ACEOF
6187 < rm -f conftest.$ac_objext
6205 < if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6206 <  (eval $ac_compile) 2>conftest.er1
6207 <  ac_status=$?
6208 <  grep -v '^ *+' conftest.er1 >conftest.err
6209 <  rm -f conftest.er1
6210 <  cat conftest.err >&5
6211 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6212 <  (exit $ac_status); } &&
6213 <         { ac_try='test -z "$ac_c_werror_flag"
6214 <                         || test ! -s conftest.err'
6215 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6216 <  (eval $ac_try) 2>&5
6217 <  ac_status=$?
6218 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6219 <  (exit $ac_status); }; } &&
6220 <         { ac_try='test -s conftest.$ac_objext'
6221 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6222 <  (eval $ac_try) 2>&5
6223 <  ac_status=$?
6224 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6225 <  (exit $ac_status); }; }; then
6183 >        ac_ext=c
6184 > ac_cpp='$CPP $CPPFLAGS'
6185 > ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
6186 > ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6187 > ac_compiler_gnu=$ac_cv_c_compiler_gnu
6188  
6189 < fftwname=$xfftwname
6190 < echo "$as_me:$LINENO: result: yes" >&5
6191 < echo "${ECHO_T}yes" >&6
6192 <
6189 >        echo "$as_me:$LINENO: checking for fftw_execute in -lfftw3" >&5
6190 > echo $ECHO_N "checking for fftw_execute in -lfftw3... $ECHO_C" >&6
6191 > if test "${ac_cv_lib_fftw3_fftw_execute+set}" = set; then
6192 >  echo $ECHO_N "(cached) $ECHO_C" >&6
6193   else
6194 <  echo "$as_me: failed program was:" >&5
6195 < sed 's/^/| /' conftest.$ac_ext >&5
6234 <
6235 < echo "$as_me:$LINENO: result: no" >&5
6236 < echo "${ECHO_T}no" >&6
6237 < fi
6238 < rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6239 <
6240 < # fftwname was set if we found a header
6241 <
6242 < if test -n "$fftwname"; then
6243 < # we cannot run the code since an MPI program might not be allowed
6244 < # on a login node of a supercomputer
6194 >  ac_check_lib_save_LIBS=$LIBS
6195 > LIBS="-lfftw3  $LIBS"
6196   cat >conftest.$ac_ext <<_ACEOF
6197   /* confdefs.h.  */
6198   _ACEOF
6199   cat confdefs.h >>conftest.$ac_ext
6200   cat >>conftest.$ac_ext <<_ACEOF
6201   /* end confdefs.h.  */
6202 < #include <$fftwname.h>
6202 >
6203 > /* Override any gcc2 internal prototype to avoid an error.  */
6204 > #ifdef __cplusplus
6205 > extern "C"
6206 > #endif
6207 > /* We use char because int might match the return type of a gcc2
6208 >   builtin and then its argument prototype would still apply.  */
6209 > char fftw_execute ();
6210   #ifdef FC_DUMMY_MAIN
6211   #ifndef FC_DUMMY_MAIN_EQ_F77
6212   #  ifdef __cplusplus
# Line 6260 | Line 6218 | main ()
6218   int
6219   main ()
6220   {
6221 < int _array_ [1 - 2 * !((sizeof(fftw_real)) == $sizeof_real)];
6221 > fftw_execute ();
6222    ;
6223    return 0;
6224   }
6225   _ACEOF
6226 < rm -f conftest.$ac_objext
6227 < if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6228 <  (eval $ac_compile) 2>conftest.er1
6226 > rm -f conftest.$ac_objext conftest$ac_exeext
6227 > if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
6228 >  (eval $ac_link) 2>conftest.er1
6229    ac_status=$?
6230    grep -v '^ *+' conftest.er1 >conftest.err
6231    rm -f conftest.er1
# Line 6281 | Line 6239 | if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6239    ac_status=$?
6240    echo "$as_me:$LINENO: \$? = $ac_status" >&5
6241    (exit $ac_status); }; } &&
6242 <         { ac_try='test -s conftest.$ac_objext'
6242 >         { ac_try='test -s conftest$ac_exeext'
6243    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6244    (eval $ac_try) 2>&5
6245    ac_status=$?
6246    echo "$as_me:$LINENO: \$? = $ac_status" >&5
6247    (exit $ac_status); }; }; then
6248 <
6291 < ok=yes
6292 < usedprefix=$fftwcheckprefix
6293 <
6248 >  ac_cv_lib_fftw3_fftw_execute=yes
6249   else
6250    echo "$as_me: failed program was:" >&5
6251   sed 's/^/| /' conftest.$ac_ext >&5
6252  
6253 < ok=no
6253 > ac_cv_lib_fftw3_fftw_execute=no
6254   fi
6255 < rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6255 > rm -f conftest.err conftest.$ac_objext \
6256 >      conftest$ac_exeext conftest.$ac_ext
6257 > LIBS=$ac_check_lib_save_LIBS
6258   fi
6259 + echo "$as_me:$LINENO: result: $ac_cv_lib_fftw3_fftw_execute" >&5
6260 + echo "${ECHO_T}$ac_cv_lib_fftw3_fftw_execute" >&6
6261 + if test $ac_cv_lib_fftw3_fftw_execute = yes; then
6262 +  fftw_cv_libfftw3=yes
6263 + else
6264 +  fftw_cv_libfftw3=no
6265 + fi
6266  
6267 < if test "$ok" != "yes"; then
6267 >        if test "${ac_cv_header_fftw3_h+set}" = set; then
6268    echo "$as_me:$LINENO: checking for fftw3.h" >&5
6269   echo $ECHO_N "checking for fftw3.h... $ECHO_C" >&6
6270 <  cat >conftest.$ac_ext <<_ACEOF
6270 > if test "${ac_cv_header_fftw3_h+set}" = set; then
6271 >  echo $ECHO_N "(cached) $ECHO_C" >&6
6272 > fi
6273 > echo "$as_me:$LINENO: result: $ac_cv_header_fftw3_h" >&5
6274 > echo "${ECHO_T}$ac_cv_header_fftw3_h" >&6
6275 > else
6276 >  # Is the header compilable?
6277 > echo "$as_me:$LINENO: checking fftw3.h usability" >&5
6278 > echo $ECHO_N "checking fftw3.h usability... $ECHO_C" >&6
6279 > cat >conftest.$ac_ext <<_ACEOF
6280   /* confdefs.h.  */
6281   _ACEOF
6282   cat confdefs.h >>conftest.$ac_ext
6283   cat >>conftest.$ac_ext <<_ACEOF
6284   /* end confdefs.h.  */
6285 + $ac_includes_default
6286   #include <fftw3.h>
6313 #ifdef FC_DUMMY_MAIN
6314 #ifndef FC_DUMMY_MAIN_EQ_F77
6315 #  ifdef __cplusplus
6316     extern "C"
6317 #  endif
6318   int FC_DUMMY_MAIN() { return 1; }
6319 #endif
6320 #endif
6321 int
6322 main ()
6323 {
6324
6325  ;
6326  return 0;
6327 }
6287   _ACEOF
6288   rm -f conftest.$ac_objext
6289   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
# Line 6348 | Line 6307 | if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6307    ac_status=$?
6308    echo "$as_me:$LINENO: \$? = $ac_status" >&5
6309    (exit $ac_status); }; }; then
6310 <  echo "$as_me:$LINENO: result: yes" >&5
6352 < echo "${ECHO_T}yes" >&6
6310 >  ac_header_compiler=yes
6311   else
6312    echo "$as_me: failed program was:" >&5
6313   sed 's/^/| /' conftest.$ac_ext >&5
6314  
6315 <
6358 < echo "$as_me:$LINENO: result: no" >&5
6359 < echo "${ECHO_T}no" >&6
6360 < { { echo "$as_me:$LINENO: error: Cannot find any $prec precision $xfftwname.h or fftw3.h
6361 < Do you have $prec precision FFTW installed? If you are using packages,
6362 < note that you also need fftw-devel to use FFTW with OOPSE. You can find the
6363 < software at www.fftw.org.
6364 < If you compiled FFTW yourself:
6365 < Note that the default FFTW setup is double precision.  If you want MPI support,
6366 < use --with-mpi. It is a good idea to install both single & double.
6367 < If you have installed FFTW in a non-standard location, you should
6368 < provide the correct paths in the CPPFLAGS and LDFLAGS environment
6369 < variables before running configure.
6370 < That is also necessary to do if your compiler doesn't search
6371 < /usr/local/include and /usr/local/lib by default." >&5
6372 < echo "$as_me: error: Cannot find any $prec precision $xfftwname.h or fftw3.h
6373 < Do you have $prec precision FFTW installed? If you are using packages,
6374 < note that you also need fftw-devel to use FFTW with OOPSE. You can find the
6375 < software at www.fftw.org.
6376 < If you compiled FFTW yourself:
6377 < Note that the default FFTW setup is double precision.  If you want MPI support,
6378 < use --with-mpi. It is a good idea to install both single & double.
6379 < If you have installed FFTW in a non-standard location, you should
6380 < provide the correct paths in the CPPFLAGS and LDFLAGS environment
6381 < variables before running configure.
6382 < That is also necessary to do if your compiler doesn't search
6383 < /usr/local/include and /usr/local/lib by default." >&2;}
6384 <   { (exit 1); exit 1; }; }
6385 <
6315 > ac_header_compiler=no
6316   fi
6317   rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6318 + echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
6319 + echo "${ECHO_T}$ac_header_compiler" >&6
6320 +
6321 + # Is the header present?
6322 + echo "$as_me:$LINENO: checking fftw3.h presence" >&5
6323 + echo $ECHO_N "checking fftw3.h presence... $ECHO_C" >&6
6324   cat >conftest.$ac_ext <<_ACEOF
6325   /* confdefs.h.  */
6326   _ACEOF
# Line 6392 | Line 6328 | cat >>conftest.$ac_ext <<_ACEOF
6328   cat >>conftest.$ac_ext <<_ACEOF
6329   /* end confdefs.h.  */
6330   #include <fftw3.h>
6395 #ifdef FC_DUMMY_MAIN
6396 #ifndef FC_DUMMY_MAIN_EQ_F77
6397 #  ifdef __cplusplus
6398     extern "C"
6399 #  endif
6400   int FC_DUMMY_MAIN() { return 1; }
6401 #endif
6402 #endif
6403 int
6404 main ()
6405 {
6406 int _array_ [1 - 2 * !((sizeof(fftw_real)) == $sizeof_real)];
6407  ;
6408  return 0;
6409 }
6331   _ACEOF
6332 < rm -f conftest.$ac_objext
6333 < if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6413 <  (eval $ac_compile) 2>conftest.er1
6332 > if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
6333 >  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
6334    ac_status=$?
6335    grep -v '^ *+' conftest.er1 >conftest.err
6336    rm -f conftest.er1
6337    cat conftest.err >&5
6338    echo "$as_me:$LINENO: \$? = $ac_status" >&5
6339 <  (exit $ac_status); } &&
6340 <         { ac_try='test -z "$ac_c_werror_flag"
6341 <                         || test ! -s conftest.err'
6342 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6343 <  (eval $ac_try) 2>&5
6344 <  ac_status=$?
6345 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6426 <  (exit $ac_status); }; } &&
6427 <         { ac_try='test -s conftest.$ac_objext'
6428 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6429 <  (eval $ac_try) 2>&5
6430 <  ac_status=$?
6431 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6432 <  (exit $ac_status); }; }; then
6433 <
6434 < usedprefix=""
6435 < fftwname=fftw3
6436 <
6339 >  (exit $ac_status); } >/dev/null; then
6340 >  if test -s conftest.err; then
6341 >    ac_cpp_err=$ac_c_preproc_warn_flag
6342 >    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
6343 >  else
6344 >    ac_cpp_err=
6345 >  fi
6346   else
6347 +  ac_cpp_err=yes
6348 + fi
6349 + if test -z "$ac_cpp_err"; then
6350 +  ac_header_preproc=yes
6351 + else
6352    echo "$as_me: failed program was:" >&5
6353   sed 's/^/| /' conftest.$ac_ext >&5
6354  
6355 <
6442 < { { echo "$as_me:$LINENO: error: Cannot find any $prec precision $xfftwname.h or fftw3.h
6443 < Do you have $prec precision FFTW installed? If you are using packages,
6444 < note that you also need fftw-devel to use FFTW with OOPSE. You can find the
6445 < software at www.fftw.org.
6446 < If you compiled FFTW yourself:
6447 < Note that the default FFTW setup is double precision.  If you want MPI support,
6448 < use --with-mpi. It is a good idea to install both single & double.
6449 < If you have installed FFTW in a non-standard location, you should
6450 < provide the correct paths in the CPPFLAGS and LDFLAGS environment
6451 < variables before running configure.
6452 < That is also necessary to do if your compiler doesn't search
6453 < /usr/local/include and /usr/local/lib by default." >&5
6454 < echo "$as_me: error: Cannot find any $prec precision $xfftwname.h or fftw3.h
6455 < Do you have $prec precision FFTW installed? If you are using packages,
6456 < note that you also need fftw-devel to use FFTW with OOPSE. You can find the
6457 < software at www.fftw.org.
6458 < If you compiled FFTW yourself:
6459 < Note that the default FFTW setup is double precision.  If you want MPI support,
6460 < use --with-mpi. It is a good idea to install both single & double.
6461 < If you have installed FFTW in a non-standard location, you should
6462 < provide the correct paths in the CPPFLAGS and LDFLAGS environment
6463 < variables before running configure.
6464 < That is also necessary to do if your compiler doesn't search
6465 < /usr/local/include and /usr/local/lib by default." >&2;}
6466 <   { (exit 1); exit 1; }; }
6355 >  ac_header_preproc=no
6356   fi
6357 < rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6358 < fi
6357 > rm -f conftest.err conftest.$ac_ext
6358 > echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
6359 > echo "${ECHO_T}$ac_header_preproc" >&6
6360  
6361 <
6362 < as_ac_Lib=`echo "ac_cv_lib_$fftwname''_main" | $as_tr_sh`
6363 < echo "$as_me:$LINENO: checking for main in -l$fftwname" >&5
6364 < echo $ECHO_N "checking for main in -l$fftwname... $ECHO_C" >&6
6365 < if eval "test \"\${$as_ac_Lib+set}\" = set"; then
6361 > # So?  What about this header?
6362 > case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
6363 >  yes:no: )
6364 >    { echo "$as_me:$LINENO: WARNING: fftw3.h: accepted by the compiler, rejected by the preprocessor!" >&5
6365 > echo "$as_me: WARNING: fftw3.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
6366 >    { echo "$as_me:$LINENO: WARNING: fftw3.h: proceeding with the compiler's result" >&5
6367 > echo "$as_me: WARNING: fftw3.h: proceeding with the compiler's result" >&2;}
6368 >    ac_header_preproc=yes
6369 >    ;;
6370 >  no:yes:* )
6371 >    { echo "$as_me:$LINENO: WARNING: fftw3.h: present but cannot be compiled" >&5
6372 > echo "$as_me: WARNING: fftw3.h: present but cannot be compiled" >&2;}
6373 >    { echo "$as_me:$LINENO: WARNING: fftw3.h:     check for missing prerequisite headers?" >&5
6374 > echo "$as_me: WARNING: fftw3.h:     check for missing prerequisite headers?" >&2;}
6375 >    { echo "$as_me:$LINENO: WARNING: fftw3.h: see the Autoconf documentation" >&5
6376 > echo "$as_me: WARNING: fftw3.h: see the Autoconf documentation" >&2;}
6377 >    { echo "$as_me:$LINENO: WARNING: fftw3.h:     section \"Present But Cannot Be Compiled\"" >&5
6378 > echo "$as_me: WARNING: fftw3.h:     section \"Present But Cannot Be Compiled\"" >&2;}
6379 >    { echo "$as_me:$LINENO: WARNING: fftw3.h: proceeding with the preprocessor's result" >&5
6380 > echo "$as_me: WARNING: fftw3.h: proceeding with the preprocessor's result" >&2;}
6381 >    { echo "$as_me:$LINENO: WARNING: fftw3.h: in the future, the compiler will take precedence" >&5
6382 > echo "$as_me: WARNING: fftw3.h: in the future, the compiler will take precedence" >&2;}
6383 >    (
6384 >      cat <<\_ASBOX
6385 > ## ------------------------------ ##
6386 > ## Report this to gezelter@nd.edu ##
6387 > ## ------------------------------ ##
6388 > _ASBOX
6389 >    ) |
6390 >      sed "s/^/$as_me: WARNING:     /" >&2
6391 >    ;;
6392 > esac
6393 > echo "$as_me:$LINENO: checking for fftw3.h" >&5
6394 > echo $ECHO_N "checking for fftw3.h... $ECHO_C" >&6
6395 > if test "${ac_cv_header_fftw3_h+set}" = set; then
6396    echo $ECHO_N "(cached) $ECHO_C" >&6
6397   else
6398 <  ac_check_lib_save_LIBS=$LIBS
6479 < LIBS="-l$fftwname  $LIBS"
6480 < cat >conftest.$ac_ext <<_ACEOF
6481 < /* confdefs.h.  */
6482 < _ACEOF
6483 < cat confdefs.h >>conftest.$ac_ext
6484 < cat >>conftest.$ac_ext <<_ACEOF
6485 < /* end confdefs.h.  */
6486 <
6487 <
6488 < #ifdef FC_DUMMY_MAIN
6489 < #ifndef FC_DUMMY_MAIN_EQ_F77
6490 < #  ifdef __cplusplus
6491 <     extern "C"
6492 < #  endif
6493 <   int FC_DUMMY_MAIN() { return 1; }
6494 < #endif
6495 < #endif
6496 < int
6497 < main ()
6498 < {
6499 < main ();
6500 <  ;
6501 <  return 0;
6502 < }
6503 < _ACEOF
6504 < rm -f conftest.$ac_objext conftest$ac_exeext
6505 < if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
6506 <  (eval $ac_link) 2>conftest.er1
6507 <  ac_status=$?
6508 <  grep -v '^ *+' conftest.er1 >conftest.err
6509 <  rm -f conftest.er1
6510 <  cat conftest.err >&5
6511 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6512 <  (exit $ac_status); } &&
6513 <         { ac_try='test -z "$ac_c_werror_flag"
6514 <                         || test ! -s conftest.err'
6515 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6516 <  (eval $ac_try) 2>&5
6517 <  ac_status=$?
6518 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6519 <  (exit $ac_status); }; } &&
6520 <         { ac_try='test -s conftest$ac_exeext'
6521 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6522 <  (eval $ac_try) 2>&5
6523 <  ac_status=$?
6524 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6525 <  (exit $ac_status); }; }; then
6526 <  eval "$as_ac_Lib=yes"
6527 < else
6528 <  echo "$as_me: failed program was:" >&5
6529 < sed 's/^/| /' conftest.$ac_ext >&5
6530 <
6531 < eval "$as_ac_Lib=no"
6398 >  ac_cv_header_fftw3_h=$ac_header_preproc
6399   fi
6400 < rm -f conftest.err conftest.$ac_objext \
6401 <      conftest$ac_exeext conftest.$ac_ext
6535 < LIBS=$ac_check_lib_save_LIBS
6536 < fi
6537 < echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Lib'}'`" >&5
6538 < echo "${ECHO_T}`eval echo '${'$as_ac_Lib'}'`" >&6
6539 < if test `eval echo '${'$as_ac_Lib'}'` = yes; then
6540 <  cat >>confdefs.h <<_ACEOF
6541 < #define `echo "HAVE_LIB$fftwname" | $as_tr_cpp` 1
6542 < _ACEOF
6400 > echo "$as_me:$LINENO: result: $ac_cv_header_fftw3_h" >&5
6401 > echo "${ECHO_T}$ac_cv_header_fftw3_h" >&6
6402  
6403 <  LIBS="-l$fftwname $LIBS"
6404 <
6403 > fi
6404 > if test $ac_cv_header_fftw3_h = yes; then
6405 >  fftw_cv_fftw3_h=yes
6406   else
6407 <  { { echo "$as_me:$LINENO: error: Can't find a library to match the $fftwname header" >&5
6548 < echo "$as_me: error: Can't find a library to match the $fftwname header" >&2;}
6549 <   { (exit 1); exit 1; }; }
6407 >  fftw_cv_fftw3_h=no
6408   fi
6409  
6552 ac_fftw_savedprefix=$usedprefix
6553 ac_fftw_firstname=$fftwname
6410  
6411 +        if test "$fftw_cv_libfftw3" = "no" -o "$fftw_cv_fftw3_h" = "no"
6412 +        then
6413 +                echo "$as_me:$LINENO: checking for fftwnd_one in -lfftw" >&5
6414 + echo $ECHO_N "checking for fftwnd_one in -lfftw... $ECHO_C" >&6
6415 + if test "${ac_cv_lib_fftw_fftwnd_one+set}" = set; then
6416 +  echo $ECHO_N "(cached) $ECHO_C" >&6
6417   else
6418 <
6419 < fftwname=${ac_fftw_savedprefix}fftw3
6558 < echo "$as_me:$LINENO: checking for $fftwname.h" >&5
6559 < echo $ECHO_N "checking for $fftwname.h... $ECHO_C" >&6
6560 < cat >conftest.$ac_ext <<_ACEOF
6561 < /* confdefs.h.  */
6562 < _ACEOF
6563 < cat confdefs.h >>conftest.$ac_ext
6564 < cat >>conftest.$ac_ext <<_ACEOF
6565 < /* end confdefs.h.  */
6566 < #include <$fftwname.h>
6567 < #ifdef FC_DUMMY_MAIN
6568 < #ifndef FC_DUMMY_MAIN_EQ_F77
6569 < #  ifdef __cplusplus
6570 <     extern "C"
6571 < #  endif
6572 <   int FC_DUMMY_MAIN() { return 1; }
6573 < #endif
6574 < #endif
6575 < int
6576 < main ()
6577 < {
6578 <
6579 <  ;
6580 <  return 0;
6581 < }
6582 < _ACEOF
6583 < rm -f conftest.$ac_objext
6584 < if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6585 <  (eval $ac_compile) 2>conftest.er1
6586 <  ac_status=$?
6587 <  grep -v '^ *+' conftest.er1 >conftest.err
6588 <  rm -f conftest.er1
6589 <  cat conftest.err >&5
6590 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6591 <  (exit $ac_status); } &&
6592 <         { ac_try='test -z "$ac_c_werror_flag"
6593 <                         || test ! -s conftest.err'
6594 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6595 <  (eval $ac_try) 2>&5
6596 <  ac_status=$?
6597 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6598 <  (exit $ac_status); }; } &&
6599 <         { ac_try='test -s conftest.$ac_objext'
6600 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6601 <  (eval $ac_try) 2>&5
6602 <  ac_status=$?
6603 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6604 <  (exit $ac_status); }; }; then
6605 <  echo "$as_me:$LINENO: result: yes" >&5
6606 < echo "${ECHO_T}yes" >&6
6607 < LIBS="-l$fftwname $LIBS"
6418 >  ac_check_lib_save_LIBS=$LIBS
6419 > LIBS="-lfftw  $LIBS"
6420   cat >conftest.$ac_ext <<_ACEOF
6421   /* confdefs.h.  */
6422   _ACEOF
# Line 6612 | Line 6424 | cat >>conftest.$ac_ext <<_ACEOF
6424   cat >>conftest.$ac_ext <<_ACEOF
6425   /* end confdefs.h.  */
6426  
6427 <
6427 > /* Override any gcc2 internal prototype to avoid an error.  */
6428 > #ifdef __cplusplus
6429 > extern "C"
6430 > #endif
6431 > /* We use char because int might match the return type of a gcc2
6432 >   builtin and then its argument prototype would still apply.  */
6433 > char fftwnd_one ();
6434   #ifdef FC_DUMMY_MAIN
6435   #ifndef FC_DUMMY_MAIN_EQ_F77
6436   #  ifdef __cplusplus
# Line 6624 | Line 6442 | main ()
6442   int
6443   main ()
6444   {
6445 < main ();
6445 > fftwnd_one ();
6446    ;
6447    return 0;
6448   }
# Line 6651 | Line 6469 | if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
6469    ac_status=$?
6470    echo "$as_me:$LINENO: \$? = $ac_status" >&5
6471    (exit $ac_status); }; }; then
6472 <  :
6472 >  ac_cv_lib_fftw_fftwnd_one=yes
6473   else
6474    echo "$as_me: failed program was:" >&5
6475   sed 's/^/| /' conftest.$ac_ext >&5
6476  
6477 + ac_cv_lib_fftw_fftwnd_one=no
6478   fi
6479   rm -f conftest.err conftest.$ac_objext \
6480        conftest$ac_exeext conftest.$ac_ext
6481 + LIBS=$ac_check_lib_save_LIBS
6482 + fi
6483 + echo "$as_me:$LINENO: result: $ac_cv_lib_fftw_fftwnd_one" >&5
6484 + echo "${ECHO_T}$ac_cv_lib_fftw_fftwnd_one" >&6
6485 + if test $ac_cv_lib_fftw_fftwnd_one = yes; then
6486 +  fftw_cv_libfftw=yes
6487   else
6488 <  echo "$as_me: failed program was:" >&5
6664 < sed 's/^/| /' conftest.$ac_ext >&5
6665 <
6666 <
6667 < echo "$as_me:$LINENO: result: no" >&5
6668 < echo "${ECHO_T}no" >&6
6669 < { { echo "$as_me:$LINENO: error: Cant find $fftwname.h header. Make sure all your
6670 < fftw prefixes match - we already use $ac_fftw_firstname.h" >&5
6671 < echo "$as_me: error: Cant find $fftwname.h header. Make sure all your
6672 < fftw prefixes match - we already use $ac_fftw_firstname.h" >&2;}
6673 <   { (exit 1); exit 1; }; }
6674 <
6488 >  fftw_cv_libfftw=no
6489   fi
6676 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6490  
6491 +                if test "${ac_cv_header_fftw_h+set}" = set; then
6492 +  echo "$as_me:$LINENO: checking for fftw.h" >&5
6493 + echo $ECHO_N "checking for fftw.h... $ECHO_C" >&6
6494 + if test "${ac_cv_header_fftw_h+set}" = set; then
6495 +  echo $ECHO_N "(cached) $ECHO_C" >&6
6496   fi
6497 <
6498 <
6681 <
6682 <  if test "$with_mpi" = "yes"; then
6683 <
6684 < if test -z "$ac_fftw_firstname"; then
6685 <
6686 < sizeof_real=$sizeof_real
6687 < if test $sizeof_real = 8; then
6688 <  prec="double"
6689 <  fftwcheckprefix=d
6497 > echo "$as_me:$LINENO: result: $ac_cv_header_fftw_h" >&5
6498 > echo "${ECHO_T}$ac_cv_header_fftw_h" >&6
6499   else
6500 <  prec="single"
6501 <  fftwcheckprefix=s
6502 < fi
6694 <
6695 < xfftwname=${fftwcheckprefix}fftw3_mpi
6696 <
6697 < ok="no"
6698 < # check header doesn't work, since we must use mpicc to get includes,
6699 < # we cant trust cpp.
6700 < echo "$as_me:$LINENO: checking for $xfftwname.h" >&5
6701 < echo $ECHO_N "checking for $xfftwname.h... $ECHO_C" >&6
6500 >  # Is the header compilable?
6501 > echo "$as_me:$LINENO: checking fftw.h usability" >&5
6502 > echo $ECHO_N "checking fftw.h usability... $ECHO_C" >&6
6503   cat >conftest.$ac_ext <<_ACEOF
6504   /* confdefs.h.  */
6505   _ACEOF
6506   cat confdefs.h >>conftest.$ac_ext
6507   cat >>conftest.$ac_ext <<_ACEOF
6508   /* end confdefs.h.  */
6509 < #include <$xfftwname.h>
6510 < #ifdef FC_DUMMY_MAIN
6710 < #ifndef FC_DUMMY_MAIN_EQ_F77
6711 < #  ifdef __cplusplus
6712 <     extern "C"
6713 < #  endif
6714 <   int FC_DUMMY_MAIN() { return 1; }
6715 < #endif
6716 < #endif
6717 < int
6718 < main ()
6719 < {
6720 <
6721 <  ;
6722 <  return 0;
6723 < }
6509 > $ac_includes_default
6510 > #include <fftw.h>
6511   _ACEOF
6512   rm -f conftest.$ac_objext
6513   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
# Line 6744 | Line 6531 | if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6531    ac_status=$?
6532    echo "$as_me:$LINENO: \$? = $ac_status" >&5
6533    (exit $ac_status); }; }; then
6534 <
6748 < fftwname=$xfftwname
6749 < echo "$as_me:$LINENO: result: yes" >&5
6750 < echo "${ECHO_T}yes" >&6
6751 <
6534 >  ac_header_compiler=yes
6535   else
6536    echo "$as_me: failed program was:" >&5
6537   sed 's/^/| /' conftest.$ac_ext >&5
6538  
6539 < echo "$as_me:$LINENO: result: no" >&5
6757 < echo "${ECHO_T}no" >&6
6539 > ac_header_compiler=no
6540   fi
6541   rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6542 + echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
6543 + echo "${ECHO_T}$ac_header_compiler" >&6
6544  
6545 < # fftwname was set if we found a header
6546 <
6547 < if test -n "$fftwname"; then
6764 < # we cannot run the code since an MPI program might not be allowed
6765 < # on a login node of a supercomputer
6545 > # Is the header present?
6546 > echo "$as_me:$LINENO: checking fftw.h presence" >&5
6547 > echo $ECHO_N "checking fftw.h presence... $ECHO_C" >&6
6548   cat >conftest.$ac_ext <<_ACEOF
6549   /* confdefs.h.  */
6550   _ACEOF
6551   cat confdefs.h >>conftest.$ac_ext
6552   cat >>conftest.$ac_ext <<_ACEOF
6553   /* end confdefs.h.  */
6554 < #include <$fftwname.h>
6773 < #ifdef FC_DUMMY_MAIN
6774 < #ifndef FC_DUMMY_MAIN_EQ_F77
6775 < #  ifdef __cplusplus
6776 <     extern "C"
6777 < #  endif
6778 <   int FC_DUMMY_MAIN() { return 1; }
6779 < #endif
6780 < #endif
6781 < int
6782 < main ()
6783 < {
6784 < int _array_ [1 - 2 * !((sizeof(fftw_real)) == $sizeof_real)];
6785 <  ;
6786 <  return 0;
6787 < }
6554 > #include <fftw.h>
6555   _ACEOF
6556 < rm -f conftest.$ac_objext
6557 < if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6791 <  (eval $ac_compile) 2>conftest.er1
6556 > if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
6557 >  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
6558    ac_status=$?
6559    grep -v '^ *+' conftest.er1 >conftest.err
6560    rm -f conftest.er1
6561    cat conftest.err >&5
6562    echo "$as_me:$LINENO: \$? = $ac_status" >&5
6563 <  (exit $ac_status); } &&
6564 <         { ac_try='test -z "$ac_c_werror_flag"
6565 <                         || test ! -s conftest.err'
6566 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6567 <  (eval $ac_try) 2>&5
6568 <  ac_status=$?
6569 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6570 <  (exit $ac_status); }; } &&
6571 <         { ac_try='test -s conftest.$ac_objext'
6806 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6807 <  (eval $ac_try) 2>&5
6808 <  ac_status=$?
6809 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6810 <  (exit $ac_status); }; }; then
6811 <
6812 < ok=yes
6813 < usedprefix=$fftwcheckprefix
6814 <
6815 < else
6816 <  echo "$as_me: failed program was:" >&5
6817 < sed 's/^/| /' conftest.$ac_ext >&5
6818 <
6819 < ok=no
6820 < fi
6821 < rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6563 >  (exit $ac_status); } >/dev/null; then
6564 >  if test -s conftest.err; then
6565 >    ac_cpp_err=$ac_c_preproc_warn_flag
6566 >    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
6567 >  else
6568 >    ac_cpp_err=
6569 >  fi
6570 > else
6571 >  ac_cpp_err=yes
6572   fi
6573 <
6574 < if test "$ok" != "yes"; then
6825 <  echo "$as_me:$LINENO: checking for fftw3_mpi.h" >&5
6826 < echo $ECHO_N "checking for fftw3_mpi.h... $ECHO_C" >&6
6827 <  cat >conftest.$ac_ext <<_ACEOF
6828 < /* confdefs.h.  */
6829 < _ACEOF
6830 < cat confdefs.h >>conftest.$ac_ext
6831 < cat >>conftest.$ac_ext <<_ACEOF
6832 < /* end confdefs.h.  */
6833 < #include <fftw3_mpi.h>
6834 < #ifdef FC_DUMMY_MAIN
6835 < #ifndef FC_DUMMY_MAIN_EQ_F77
6836 < #  ifdef __cplusplus
6837 <     extern "C"
6838 < #  endif
6839 <   int FC_DUMMY_MAIN() { return 1; }
6840 < #endif
6841 < #endif
6842 < int
6843 < main ()
6844 < {
6845 <
6846 <  ;
6847 <  return 0;
6848 < }
6849 < _ACEOF
6850 < rm -f conftest.$ac_objext
6851 < if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6852 <  (eval $ac_compile) 2>conftest.er1
6853 <  ac_status=$?
6854 <  grep -v '^ *+' conftest.er1 >conftest.err
6855 <  rm -f conftest.er1
6856 <  cat conftest.err >&5
6857 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6858 <  (exit $ac_status); } &&
6859 <         { ac_try='test -z "$ac_c_werror_flag"
6860 <                         || test ! -s conftest.err'
6861 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6862 <  (eval $ac_try) 2>&5
6863 <  ac_status=$?
6864 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6865 <  (exit $ac_status); }; } &&
6866 <         { ac_try='test -s conftest.$ac_objext'
6867 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6868 <  (eval $ac_try) 2>&5
6869 <  ac_status=$?
6870 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6871 <  (exit $ac_status); }; }; then
6872 <  echo "$as_me:$LINENO: result: yes" >&5
6873 < echo "${ECHO_T}yes" >&6
6573 > if test -z "$ac_cpp_err"; then
6574 >  ac_header_preproc=yes
6575   else
6576    echo "$as_me: failed program was:" >&5
6577   sed 's/^/| /' conftest.$ac_ext >&5
6578  
6579 <
6879 < echo "$as_me:$LINENO: result: no" >&5
6880 < echo "${ECHO_T}no" >&6
6881 < { { echo "$as_me:$LINENO: error: Cannot find any $prec precision $xfftwname.h or fftw3_mpi.h
6882 < Do you have $prec precision FFTW installed? If you are using packages,
6883 < note that you also need fftw-devel to use FFTW with OOPSE. You can find the
6884 < software at www.fftw.org.
6885 < If you compiled FFTW yourself:
6886 < Note that the default FFTW setup is double precision.  If you want MPI support,
6887 < use --with-mpi. It is a good idea to install both single & double.
6888 < If you have installed FFTW in a non-standard location, you should
6889 < provide the correct paths in the CPPFLAGS and LDFLAGS environment
6890 < variables before running configure.
6891 < That is also necessary to do if your compiler doesn't search
6892 < /usr/local/include and /usr/local/lib by default." >&5
6893 < echo "$as_me: error: Cannot find any $prec precision $xfftwname.h or fftw3_mpi.h
6894 < Do you have $prec precision FFTW installed? If you are using packages,
6895 < note that you also need fftw-devel to use FFTW with OOPSE. You can find the
6896 < software at www.fftw.org.
6897 < If you compiled FFTW yourself:
6898 < Note that the default FFTW setup is double precision.  If you want MPI support,
6899 < use --with-mpi. It is a good idea to install both single & double.
6900 < If you have installed FFTW in a non-standard location, you should
6901 < provide the correct paths in the CPPFLAGS and LDFLAGS environment
6902 < variables before running configure.
6903 < That is also necessary to do if your compiler doesn't search
6904 < /usr/local/include and /usr/local/lib by default." >&2;}
6905 <   { (exit 1); exit 1; }; }
6906 <
6579 >  ac_header_preproc=no
6580   fi
6581 < rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6582 < cat >conftest.$ac_ext <<_ACEOF
6583 < /* confdefs.h.  */
6911 < _ACEOF
6912 < cat confdefs.h >>conftest.$ac_ext
6913 < cat >>conftest.$ac_ext <<_ACEOF
6914 < /* end confdefs.h.  */
6915 < #include <fftw3_mpi.h>
6916 < #ifdef FC_DUMMY_MAIN
6917 < #ifndef FC_DUMMY_MAIN_EQ_F77
6918 < #  ifdef __cplusplus
6919 <     extern "C"
6920 < #  endif
6921 <   int FC_DUMMY_MAIN() { return 1; }
6922 < #endif
6923 < #endif
6924 < int
6925 < main ()
6926 < {
6927 < int _array_ [1 - 2 * !((sizeof(fftw_real)) == $sizeof_real)];
6928 <  ;
6929 <  return 0;
6930 < }
6931 < _ACEOF
6932 < rm -f conftest.$ac_objext
6933 < if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6934 <  (eval $ac_compile) 2>conftest.er1
6935 <  ac_status=$?
6936 <  grep -v '^ *+' conftest.er1 >conftest.err
6937 <  rm -f conftest.er1
6938 <  cat conftest.err >&5
6939 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6940 <  (exit $ac_status); } &&
6941 <         { ac_try='test -z "$ac_c_werror_flag"
6942 <                         || test ! -s conftest.err'
6943 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6944 <  (eval $ac_try) 2>&5
6945 <  ac_status=$?
6946 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6947 <  (exit $ac_status); }; } &&
6948 <         { ac_try='test -s conftest.$ac_objext'
6949 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6950 <  (eval $ac_try) 2>&5
6951 <  ac_status=$?
6952 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6953 <  (exit $ac_status); }; }; then
6581 > rm -f conftest.err conftest.$ac_ext
6582 > echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
6583 > echo "${ECHO_T}$ac_header_preproc" >&6
6584  
6585 < usedprefix=""
6586 < fftwname=fftw3_mpi
6587 <
6585 > # So?  What about this header?
6586 > case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
6587 >  yes:no: )
6588 >    { echo "$as_me:$LINENO: WARNING: fftw.h: accepted by the compiler, rejected by the preprocessor!" >&5
6589 > echo "$as_me: WARNING: fftw.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
6590 >    { echo "$as_me:$LINENO: WARNING: fftw.h: proceeding with the compiler's result" >&5
6591 > echo "$as_me: WARNING: fftw.h: proceeding with the compiler's result" >&2;}
6592 >    ac_header_preproc=yes
6593 >    ;;
6594 >  no:yes:* )
6595 >    { echo "$as_me:$LINENO: WARNING: fftw.h: present but cannot be compiled" >&5
6596 > echo "$as_me: WARNING: fftw.h: present but cannot be compiled" >&2;}
6597 >    { echo "$as_me:$LINENO: WARNING: fftw.h:     check for missing prerequisite headers?" >&5
6598 > echo "$as_me: WARNING: fftw.h:     check for missing prerequisite headers?" >&2;}
6599 >    { echo "$as_me:$LINENO: WARNING: fftw.h: see the Autoconf documentation" >&5
6600 > echo "$as_me: WARNING: fftw.h: see the Autoconf documentation" >&2;}
6601 >    { echo "$as_me:$LINENO: WARNING: fftw.h:     section \"Present But Cannot Be Compiled\"" >&5
6602 > echo "$as_me: WARNING: fftw.h:     section \"Present But Cannot Be Compiled\"" >&2;}
6603 >    { echo "$as_me:$LINENO: WARNING: fftw.h: proceeding with the preprocessor's result" >&5
6604 > echo "$as_me: WARNING: fftw.h: proceeding with the preprocessor's result" >&2;}
6605 >    { echo "$as_me:$LINENO: WARNING: fftw.h: in the future, the compiler will take precedence" >&5
6606 > echo "$as_me: WARNING: fftw.h: in the future, the compiler will take precedence" >&2;}
6607 >    (
6608 >      cat <<\_ASBOX
6609 > ## ------------------------------ ##
6610 > ## Report this to gezelter@nd.edu ##
6611 > ## ------------------------------ ##
6612 > _ASBOX
6613 >    ) |
6614 >      sed "s/^/$as_me: WARNING:     /" >&2
6615 >    ;;
6616 > esac
6617 > echo "$as_me:$LINENO: checking for fftw.h" >&5
6618 > echo $ECHO_N "checking for fftw.h... $ECHO_C" >&6
6619 > if test "${ac_cv_header_fftw_h+set}" = set; then
6620 >  echo $ECHO_N "(cached) $ECHO_C" >&6
6621   else
6622 <  echo "$as_me: failed program was:" >&5
6623 < sed 's/^/| /' conftest.$ac_ext >&5
6622 >  ac_cv_header_fftw_h=$ac_header_preproc
6623 > fi
6624 > echo "$as_me:$LINENO: result: $ac_cv_header_fftw_h" >&5
6625 > echo "${ECHO_T}$ac_cv_header_fftw_h" >&6
6626  
6962
6963 { { echo "$as_me:$LINENO: error: Cannot find any $prec precision $xfftwname.h or fftw3_mpi.h
6964 Do you have $prec precision FFTW installed? If you are using packages,
6965 note that you also need fftw-devel to use FFTW with OOPSE. You can find the
6966 software at www.fftw.org.
6967 If you compiled FFTW yourself:
6968 Note that the default FFTW setup is double precision.  If you want MPI support,
6969 use --with-mpi. It is a good idea to install both single & double.
6970 If you have installed FFTW in a non-standard location, you should
6971 provide the correct paths in the CPPFLAGS and LDFLAGS environment
6972 variables before running configure.
6973 That is also necessary to do if your compiler doesn't search
6974 /usr/local/include and /usr/local/lib by default." >&5
6975 echo "$as_me: error: Cannot find any $prec precision $xfftwname.h or fftw3_mpi.h
6976 Do you have $prec precision FFTW installed? If you are using packages,
6977 note that you also need fftw-devel to use FFTW with OOPSE. You can find the
6978 software at www.fftw.org.
6979 If you compiled FFTW yourself:
6980 Note that the default FFTW setup is double precision.  If you want MPI support,
6981 use --with-mpi. It is a good idea to install both single & double.
6982 If you have installed FFTW in a non-standard location, you should
6983 provide the correct paths in the CPPFLAGS and LDFLAGS environment
6984 variables before running configure.
6985 That is also necessary to do if your compiler doesn't search
6986 /usr/local/include and /usr/local/lib by default." >&2;}
6987   { (exit 1); exit 1; }; }
6627   fi
6628 < rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6628 > if test $ac_cv_header_fftw_h = yes; then
6629 >  fftw_cv_fftw_h=yes
6630 > else
6631 >  fftw_cv_fftw_h=no
6632   fi
6633  
6634  
6635 < as_ac_Lib=`echo "ac_cv_lib_$fftwname''_main" | $as_tr_sh`
6636 < echo "$as_me:$LINENO: checking for main in -l$fftwname" >&5
6637 < echo $ECHO_N "checking for main in -l$fftwname... $ECHO_C" >&6
6638 < if eval "test \"\${$as_ac_Lib+set}\" = set"; then
6635 >                if test "$fftw_cv_libfftw" = "no" -o "$fftw_cv_fftw_h" = "no"
6636 >                then
6637 >                        echo "$as_me:$LINENO: checking for fftwnd_one in -ldfftw" >&5
6638 > echo $ECHO_N "checking for fftwnd_one in -ldfftw... $ECHO_C" >&6
6639 > if test "${ac_cv_lib_dfftw_fftwnd_one+set}" = set; then
6640    echo $ECHO_N "(cached) $ECHO_C" >&6
6641   else
6642    ac_check_lib_save_LIBS=$LIBS
6643 < LIBS="-l$fftwname  $LIBS"
6643 > LIBS="-ldfftw  $LIBS"
6644   cat >conftest.$ac_ext <<_ACEOF
6645   /* confdefs.h.  */
6646   _ACEOF
# Line 7005 | Line 6648 | cat >>conftest.$ac_ext <<_ACEOF
6648   cat >>conftest.$ac_ext <<_ACEOF
6649   /* end confdefs.h.  */
6650  
6651 <
6651 > /* Override any gcc2 internal prototype to avoid an error.  */
6652 > #ifdef __cplusplus
6653 > extern "C"
6654 > #endif
6655 > /* We use char because int might match the return type of a gcc2
6656 >   builtin and then its argument prototype would still apply.  */
6657 > char fftwnd_one ();
6658   #ifdef FC_DUMMY_MAIN
6659   #ifndef FC_DUMMY_MAIN_EQ_F77
6660   #  ifdef __cplusplus
# Line 7017 | Line 6666 | main ()
6666   int
6667   main ()
6668   {
6669 < main ();
6669 > fftwnd_one ();
6670    ;
6671    return 0;
6672   }
# Line 7044 | Line 6693 | if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
6693    ac_status=$?
6694    echo "$as_me:$LINENO: \$? = $ac_status" >&5
6695    (exit $ac_status); }; }; then
6696 <  eval "$as_ac_Lib=yes"
6696 >  ac_cv_lib_dfftw_fftwnd_one=yes
6697   else
6698    echo "$as_me: failed program was:" >&5
6699   sed 's/^/| /' conftest.$ac_ext >&5
6700  
6701 < eval "$as_ac_Lib=no"
6701 > ac_cv_lib_dfftw_fftwnd_one=no
6702   fi
6703   rm -f conftest.err conftest.$ac_objext \
6704        conftest$ac_exeext conftest.$ac_ext
6705   LIBS=$ac_check_lib_save_LIBS
6706   fi
6707 < echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Lib'}'`" >&5
6708 < echo "${ECHO_T}`eval echo '${'$as_ac_Lib'}'`" >&6
6709 < if test `eval echo '${'$as_ac_Lib'}'` = yes; then
6710 <  cat >>confdefs.h <<_ACEOF
7062 < #define `echo "HAVE_LIB$fftwname" | $as_tr_cpp` 1
7063 < _ACEOF
7064 <
7065 <  LIBS="-l$fftwname $LIBS"
7066 <
6707 > echo "$as_me:$LINENO: result: $ac_cv_lib_dfftw_fftwnd_one" >&5
6708 > echo "${ECHO_T}$ac_cv_lib_dfftw_fftwnd_one" >&6
6709 > if test $ac_cv_lib_dfftw_fftwnd_one = yes; then
6710 >  fftw_cv_libdfftw=yes
6711   else
6712 <  { { echo "$as_me:$LINENO: error: Can't find a library to match the $fftwname header" >&5
7069 < echo "$as_me: error: Can't find a library to match the $fftwname header" >&2;}
7070 <   { (exit 1); exit 1; }; }
6712 >  fftw_cv_libdfftw=no
6713   fi
6714  
6715 < ac_fftw_savedprefix=$usedprefix
6716 < ac_fftw_firstname=$fftwname
6717 <
6715 >                        if test "${ac_cv_header_dfftw_h+set}" = set; then
6716 >  echo "$as_me:$LINENO: checking for dfftw.h" >&5
6717 > echo $ECHO_N "checking for dfftw.h... $ECHO_C" >&6
6718 > if test "${ac_cv_header_dfftw_h+set}" = set; then
6719 >  echo $ECHO_N "(cached) $ECHO_C" >&6
6720 > fi
6721 > echo "$as_me:$LINENO: result: $ac_cv_header_dfftw_h" >&5
6722 > echo "${ECHO_T}$ac_cv_header_dfftw_h" >&6
6723   else
6724 <
6725 < fftwname=${ac_fftw_savedprefix}fftw3_mpi
6726 < echo "$as_me:$LINENO: checking for $fftwname.h" >&5
7080 < echo $ECHO_N "checking for $fftwname.h... $ECHO_C" >&6
6724 >  # Is the header compilable?
6725 > echo "$as_me:$LINENO: checking dfftw.h usability" >&5
6726 > echo $ECHO_N "checking dfftw.h usability... $ECHO_C" >&6
6727   cat >conftest.$ac_ext <<_ACEOF
6728   /* confdefs.h.  */
6729   _ACEOF
6730   cat confdefs.h >>conftest.$ac_ext
6731   cat >>conftest.$ac_ext <<_ACEOF
6732   /* end confdefs.h.  */
6733 < #include <$fftwname.h>
6734 < #ifdef FC_DUMMY_MAIN
7089 < #ifndef FC_DUMMY_MAIN_EQ_F77
7090 < #  ifdef __cplusplus
7091 <     extern "C"
7092 < #  endif
7093 <   int FC_DUMMY_MAIN() { return 1; }
7094 < #endif
7095 < #endif
7096 < int
7097 < main ()
7098 < {
7099 <
7100 <  ;
7101 <  return 0;
7102 < }
6733 > $ac_includes_default
6734 > #include <dfftw.h>
6735   _ACEOF
6736   rm -f conftest.$ac_objext
6737   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
# Line 7123 | Line 6755 | if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6755    ac_status=$?
6756    echo "$as_me:$LINENO: \$? = $ac_status" >&5
6757    (exit $ac_status); }; }; then
6758 <  echo "$as_me:$LINENO: result: yes" >&5
6759 < echo "${ECHO_T}yes" >&6
6760 < LIBS="-l$fftwname $LIBS"
6758 >  ac_header_compiler=yes
6759 > else
6760 >  echo "$as_me: failed program was:" >&5
6761 > sed 's/^/| /' conftest.$ac_ext >&5
6762 >
6763 > ac_header_compiler=no
6764 > fi
6765 > rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6766 > echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
6767 > echo "${ECHO_T}$ac_header_compiler" >&6
6768 >
6769 > # Is the header present?
6770 > echo "$as_me:$LINENO: checking dfftw.h presence" >&5
6771 > echo $ECHO_N "checking dfftw.h presence... $ECHO_C" >&6
6772   cat >conftest.$ac_ext <<_ACEOF
6773   /* confdefs.h.  */
6774   _ACEOF
6775   cat confdefs.h >>conftest.$ac_ext
6776   cat >>conftest.$ac_ext <<_ACEOF
6777   /* end confdefs.h.  */
6778 <
7136 <
7137 < #ifdef FC_DUMMY_MAIN
7138 < #ifndef FC_DUMMY_MAIN_EQ_F77
7139 < #  ifdef __cplusplus
7140 <     extern "C"
7141 < #  endif
7142 <   int FC_DUMMY_MAIN() { return 1; }
7143 < #endif
7144 < #endif
7145 < int
7146 < main ()
7147 < {
7148 < main ();
7149 <  ;
7150 <  return 0;
7151 < }
6778 > #include <dfftw.h>
6779   _ACEOF
6780 < rm -f conftest.$ac_objext conftest$ac_exeext
6781 < if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
7155 <  (eval $ac_link) 2>conftest.er1
6780 > if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
6781 >  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
6782    ac_status=$?
6783    grep -v '^ *+' conftest.er1 >conftest.err
6784    rm -f conftest.er1
6785    cat conftest.err >&5
6786    echo "$as_me:$LINENO: \$? = $ac_status" >&5
6787 <  (exit $ac_status); } &&
6788 <         { ac_try='test -z "$ac_c_werror_flag"
6789 <                         || test ! -s conftest.err'
6790 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6791 <  (eval $ac_try) 2>&5
6792 <  ac_status=$?
6793 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7168 <  (exit $ac_status); }; } &&
7169 <         { ac_try='test -s conftest$ac_exeext'
7170 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
7171 <  (eval $ac_try) 2>&5
7172 <  ac_status=$?
7173 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7174 <  (exit $ac_status); }; }; then
7175 <  :
6787 >  (exit $ac_status); } >/dev/null; then
6788 >  if test -s conftest.err; then
6789 >    ac_cpp_err=$ac_c_preproc_warn_flag
6790 >    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
6791 >  else
6792 >    ac_cpp_err=
6793 >  fi
6794   else
6795 <  echo "$as_me: failed program was:" >&5
7178 < sed 's/^/| /' conftest.$ac_ext >&5
7179 <
6795 >  ac_cpp_err=yes
6796   fi
6797 < rm -f conftest.err conftest.$ac_objext \
6798 <      conftest$ac_exeext conftest.$ac_ext
6797 > if test -z "$ac_cpp_err"; then
6798 >  ac_header_preproc=yes
6799   else
6800    echo "$as_me: failed program was:" >&5
6801   sed 's/^/| /' conftest.$ac_ext >&5
6802  
6803 +  ac_header_preproc=no
6804 + fi
6805 + rm -f conftest.err conftest.$ac_ext
6806 + echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
6807 + echo "${ECHO_T}$ac_header_preproc" >&6
6808  
6809 < echo "$as_me:$LINENO: result: no" >&5
6810 < echo "${ECHO_T}no" >&6
6811 < { { echo "$as_me:$LINENO: error: Cant find $fftwname.h header. Make sure all your
6812 < fftw prefixes match - we already use $ac_fftw_firstname.h" >&5
6813 < echo "$as_me: error: Cant find $fftwname.h header. Make sure all your
6814 < fftw prefixes match - we already use $ac_fftw_firstname.h" >&2;}
6815 <   { (exit 1); exit 1; }; }
6816 <
6809 > # So?  What about this header?
6810 > case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
6811 >  yes:no: )
6812 >    { echo "$as_me:$LINENO: WARNING: dfftw.h: accepted by the compiler, rejected by the preprocessor!" >&5
6813 > echo "$as_me: WARNING: dfftw.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
6814 >    { echo "$as_me:$LINENO: WARNING: dfftw.h: proceeding with the compiler's result" >&5
6815 > echo "$as_me: WARNING: dfftw.h: proceeding with the compiler's result" >&2;}
6816 >    ac_header_preproc=yes
6817 >    ;;
6818 >  no:yes:* )
6819 >    { echo "$as_me:$LINENO: WARNING: dfftw.h: present but cannot be compiled" >&5
6820 > echo "$as_me: WARNING: dfftw.h: present but cannot be compiled" >&2;}
6821 >    { echo "$as_me:$LINENO: WARNING: dfftw.h:     check for missing prerequisite headers?" >&5
6822 > echo "$as_me: WARNING: dfftw.h:     check for missing prerequisite headers?" >&2;}
6823 >    { echo "$as_me:$LINENO: WARNING: dfftw.h: see the Autoconf documentation" >&5
6824 > echo "$as_me: WARNING: dfftw.h: see the Autoconf documentation" >&2;}
6825 >    { echo "$as_me:$LINENO: WARNING: dfftw.h:     section \"Present But Cannot Be Compiled\"" >&5
6826 > echo "$as_me: WARNING: dfftw.h:     section \"Present But Cannot Be Compiled\"" >&2;}
6827 >    { echo "$as_me:$LINENO: WARNING: dfftw.h: proceeding with the preprocessor's result" >&5
6828 > echo "$as_me: WARNING: dfftw.h: proceeding with the preprocessor's result" >&2;}
6829 >    { echo "$as_me:$LINENO: WARNING: dfftw.h: in the future, the compiler will take precedence" >&5
6830 > echo "$as_me: WARNING: dfftw.h: in the future, the compiler will take precedence" >&2;}
6831 >    (
6832 >      cat <<\_ASBOX
6833 > ## ------------------------------ ##
6834 > ## Report this to gezelter@nd.edu ##
6835 > ## ------------------------------ ##
6836 > _ASBOX
6837 >    ) |
6838 >      sed "s/^/$as_me: WARNING:     /" >&2
6839 >    ;;
6840 > esac
6841 > echo "$as_me:$LINENO: checking for dfftw.h" >&5
6842 > echo $ECHO_N "checking for dfftw.h... $ECHO_C" >&6
6843 > if test "${ac_cv_header_dfftw_h+set}" = set; then
6844 >  echo $ECHO_N "(cached) $ECHO_C" >&6
6845 > else
6846 >  ac_cv_header_dfftw_h=$ac_header_preproc
6847   fi
6848 < rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6848 > echo "$as_me:$LINENO: result: $ac_cv_header_dfftw_h" >&5
6849 > echo "${ECHO_T}$ac_cv_header_dfftw_h" >&6
6850  
6851   fi
6852 + if test $ac_cv_header_dfftw_h = yes; then
6853 +  fftw_cv_dfftw_h=yes
6854 + else
6855 +  fftw_cv_dfftw_h=no
6856 + fi
6857  
6858  
6859 <  fi
6859 >                fi
6860 >        fi
6861 >        ac_ext=c
6862 > ac_cpp='$CPP $CPPFLAGS'
6863 > ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
6864 > ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6865 > ac_compiler_gnu=$ac_cv_c_compiler_gnu
6866  
6867 <  case ${ac_fftw_savedprefix} in
6868 <   d)
6869 < cat >>confdefs.h <<\_ACEOF
6870 < #define FFTW_NAME_DFFTW
6867 >
6868 >        if test "$fftw_cv_libfftw3" = "yes" -a "$fftw_cv_fftw3_h" = "yes"
6869 >        then
6870 >
6871 > cat >>confdefs.h <<\_ACEOF
6872 > #define HAVE_FFTW3_H 1
6873   _ACEOF
6874 < ;;
6875 <   *)
6874 >
6875 >                FFTW_INC_DIR="${FFTW_HOME}/include"
6876 >                FFTW_LIB_DIR="${FFTW_HOME}/lib"
6877 >                FFTW_LIBS="-lfftw3"
6878 >        else
6879 >        if test "$fftw_cv_libfftw" = "yes" -a "$fftw_cv_fftw_h" = "yes"
6880 >        then
6881 >
6882   cat >>confdefs.h <<\_ACEOF
6883 < #define FFTW_NAME_FFTW
6883 > #define HAVE_FFTW_H 1
6884   _ACEOF
7214 ;;
7215  esac
7216 else
7217  echo "*******************************************************************"
7218  echo "* FFTW libraries and include files are required for computing     *"
7219  echo "* undulation spectra with the staticProps program.  If you don't  *"
7220  echo "* fftw turned on, OOPSE will still work, but you won't be able to *"
7221  echo "* analyze your trajectories for this property.                    *"
7222  echo "*******************************************************************"
7223 fi # end of fftw check
6885  
6886 +                FFTW_INC_DIR="${FFTW_HOME}/include"
6887 +                FFTW_LIB_DIR="${FFTW_HOME}/lib"
6888 +                FFTW_LIBS="-lfftw"
6889 +        else
6890 +        if test "$fftw_cv_libdfftw" = "yes" -a "$fftw_cv_dfftw_h" = "yes"
6891 +        then
6892 +
6893 + cat >>confdefs.h <<\_ACEOF
6894 + #define HAVE_DFFTW_H 1
6895 + _ACEOF
6896 +
6897 +                FFTW_INC_DIR="${FFTW_HOME}/include"
6898 +                FFTW_LIB_DIR="${FFTW_HOME}/lib"
6899 +                FFTW_LIBS="-ldfftw"
6900 +        else
6901 +                echo "$as_me:$LINENO: checking fftw in ${FFTW_HOME}" >&5
6902 + echo $ECHO_N "checking fftw in ${FFTW_HOME}... $ECHO_C" >&6
6903 +                FFTW_INC_DIR=
6904 +                FFTW_LIB_DIR=
6905 +                FFTW_LIBS=
6906 +                LDFLAGS="$FFTW_OLD_LDFLAGS"
6907 +                CPPFLAGS="$FFTW_OLD_CPPFLAGS"
6908 +                echo "$as_me:$LINENO: result: failed" >&5
6909 + echo "${ECHO_T}failed" >&6
6910 +        echo ""
6911 +        echo "*********************************************************"
6912 +        echo "* WARNING: Could not find a working FFTW installation   *"
6913 +        echo "* If you need the staticProps program to be able to     *"
6914 +        echo "* compute undulation spectra, be sure to specify a      *"
6915 +        echo "* valid fftw installation with --with-fftw=DIR          *"
6916 +        echo "*                                                       *"
6917 +        echo "* OOPSE will still work without fftw installed.         *"
6918 +        echo "*********************************************************"
6919 +        echo ""
6920 +        fi
6921 +        fi
6922 +        fi
6923 +
6924 +
6925 +
6926 + fi
6927 + fi
6928 +
6929 +
6930 +
6931   # Checks for header files.
6932   echo "$as_me:$LINENO: checking for ANSI C header files" >&5
6933   echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
# Line 13780 | Line 13486 | fi
13486  
13487  
13488   fi
13783
13489  
13490  
13491  
# Line 14232 | Line 13937 | CGAL_RLIB_DIR=${CGAL_RLIBDIR}
13937   CGAL_LIB_DIR=${CGAL_LIBDIR}
13938  
13939   CGAL_RLIB_DIR=${CGAL_RLIBDIR}
14235
13940  
13941  
13942  
# Line 15061 | Line 14765 | s,@F90_MODULE_NAMES@,$F90_MODULE_NAMES,;t t
14765   s,@MODDIRFLAG@,$MODDIRFLAG,;t t
14766   s,@F90MODINCSPEC@,$F90MODINCSPEC,;t t
14767   s,@F90_MODULE_NAMES@,$F90_MODULE_NAMES,;t t
14768 + s,@ZLIB_INC_DIR@,$ZLIB_INC_DIR,;t t
14769 + s,@ZLIB_LIB_DIR@,$ZLIB_LIB_DIR,;t t
14770 + s,@ZLIB@,$ZLIB,;t t
14771 + s,@FFTW_INC_DIR@,$FFTW_INC_DIR,;t t
14772 + s,@FFTW_LIB_DIR@,$FFTW_LIB_DIR,;t t
14773 + s,@FFTW_LIBS@,$FFTW_LIBS,;t t
14774   s,@LIBOBJS@,$LIBOBJS,;t t
14775   s,@POW_LIB@,$POW_LIB,;t t
14776   s,@CXXCPP@,$CXXCPP,;t t

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines